Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class DataSourceConfig

    java.lang.Object
      com.bea.dsp.management.beans.DataSourceConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

Direct Known Subclasses:
  FileDataSourceConfig, HierarchicalDataSourceConfig, JavaDataSourceConfig

    public class DataSourceConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `DataSourceConfig.ServiceAccountScope` This enum is used to define the scope in which a service account will be used for a data source.

Method Summary
`DataSourceId` | `getDataSourceId()`
`java.util.Set<java.lang.String>` | `getDependents()`
`java.lang.String` | `getNewId()`
`java.lang.String` | `getServiceAccountName()` Deprecated.
`java.util.Map<DataSourceConfig.ServiceAccountScope,java.lang.String>` | `getServiceAccountNames()` Gets all the service account names defined for this data sources.
`protected java.lang.Object` | `readResolve()`
`void` | `setNewId(java.lang.String newId)`
`void` | `setServiceAccountName(java.lang.String serviceAccountName)` Deprecated.
`void` | `setServiceAccountNames(java.util.Map<DataSourceConfig.ServiceAccountScope,java.lang.String> accountNames)` Sets the service accounts to be used by this data source.
`void` | `validate()` Validates bean specific attributes.
`protected java.lang.Object` | `writeReplace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDataSourceId

    public DataSourceId getDataSourceId()

### getNewId

    public java.lang.String getNewId()

### setNewId

    public void setNewId(java.lang.String newId)

### getServiceAccountName

    public java.lang.String getServiceAccountName()

  Deprecated.

  Returns the name of the service account that is configured with RUNTIME scope for this datasource. The returned value could be null if no such service account is configured.

  Returns:
    service account for this datasource

### setServiceAccountName

    public void setServiceAccountName(java.lang.String serviceAccountName)

  Deprecated.

  Sets the RUNTIME service account name for the datasource. Passing null will unset the RUNTIME service account for this datasource.

  Parameters:
    `serviceAccountName` -

### getServiceAccountNames

    public java.util.Map<DataSourceConfig.ServiceAccountScope,java.lang.String> getServiceAccountNames()

  Gets all the service account names defined for this data sources. The service accounts are keyed by the scope for which they have been associated. This method will return a non-null empty map when no service account is defined.

  Returns:
    map of all the service account defined for the data source
  See Also:
    `for details about scope`

### setServiceAccountNames

    public void setServiceAccountNames(java.util.Map<DataSourceConfig.ServiceAccountScope,java.lang.String> accountNames)
                                throws ValidationException

  Sets the service accounts to be used by this data source. Passing null to this method will clear all the defined service account.

  Parameters:
    `accountNames` - new set of account names with their relation
  Throws:
    `ValidationException` - if any entry in the map is null

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### getDependents

    public java.util.Set<java.lang.String> getDependents()

### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### readResolve

    protected java.lang.Object readResolve()
                                    throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.